﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DataLayer.Queries;

namespace BusinessLogic.Logins
{
    public class LoginUnit
    {
        protected int userId;
        protected string username;
        protected string password;

        public LoginUnit(int userId, string username, string password)
        {
            this.userId = userId;
            this.username = username;
            this.password = password;
        }

        public int UserId
        {
            get { return this.userId; }
        }
        public string Username
        {
            get { return this.username; }
        }
        public string Password
        {
            get { return this.password; }
        }

        public static LoginUnit GetLogin(string username, string password, out string error)
        {
            LoginQuery query = new DataLayer.Queries.LoginQuery(username, password);
            if( query.RunQuery())
            {
                error = null;
                return new Logins.LoginUnit(query.Result.UserId, query.Result.Username, query.Result.Password);
            }
            else
            {
                error = query.Error;
                return null;
            }
        }
    }
}
